aboutsummaryrefslogtreecommitdiff
path: root/node_modules/ajv/scripts/publish-built-version
diff options
context:
space:
mode:
authorruki <waruqi@gmail.com>2018-11-08 00:38:48 +0800
committerruki <waruqi@gmail.com>2018-11-07 21:53:09 +0800
commit26105034da4fcce7ac883c899d781f016559310d (patch)
treec459a5dc4e3aa0972d9919033ece511ce76dd129 /node_modules/ajv/scripts/publish-built-version
parent2c77f00f1a7ecb6c8192f9c16d3b2001b254a107 (diff)
downloadxmake-docs-26105034da4fcce7ac883c899d781f016559310d.tar.gz
xmake-docs-26105034da4fcce7ac883c899d781f016559310d.zip
switch to vuepress
Diffstat (limited to 'node_modules/ajv/scripts/publish-built-version')
-rwxr-xr-xnode_modules/ajv/scripts/publish-built-version32
1 files changed, 32 insertions, 0 deletions
diff --git a/node_modules/ajv/scripts/publish-built-version b/node_modules/ajv/scripts/publish-built-version
new file mode 100755
index 00000000..2796ed25
--- /dev/null
+++ b/node_modules/ajv/scripts/publish-built-version
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+
+set -e
+
+if [[ -n $TRAVIS_TAG && $TRAVIS_JOB_NUMBER =~ ".3" ]]; then
+ echo "About to publish $TRAVIS_TAG to ajv-dist..."
+
+ git config user.email "$GIT_USER_EMAIL"
+ git config user.name "$GIT_USER_NAME"
+
+ git clone https://${GITHUB_TOKEN}@github.com/epoberezkin/ajv-dist.git ../ajv-dist
+
+ rm -rf ../ajv-dist/dist
+ mkdir ../ajv-dist/dist
+ cp ./dist/ajv.* ../ajv-dist/dist
+ cat bower.json | sed 's/"name": "ajv"/"name": "ajv-dist"/' > ../ajv-dist/bower.json
+ cd ../ajv-dist
+
+ if [[ `git status --porcelain` ]]; then
+ echo "Changes detected. Updating master branch..."
+ git add -A
+ git commit -m "updated by travis build #$TRAVIS_BUILD_NUMBER"
+ git push --quiet origin master > /dev/null 2>&1
+ fi
+
+ echo "Publishing tag..."
+
+ git tag $TRAVIS_TAG
+ git push --tags > /dev/null 2>&1
+
+ echo "Done"
+fi